petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESMonitorScaling

Monitors the largest value in each row of the Jacobian.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorScaling(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| vf | - viewer and format structure

### Notes

This routine prints the largest value in each row of the Jacobian

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages